{% extends "shuup/front/base.jinja" %}
{% from "canvas/macros/wishlist_button.jinja" import get_wishlist_button with context %}

{% block extrameta %}{{ macros.render_metadata(product, product.name, product.short_description, "product") }}{% endblock %}

{% block title %}{{ product.name }}{% endblock %}

{% block body_extra %}data-spy="scroll" data-target="#thumbnail-scrollspy" data-offset="0"{% endblock %}

{% block extra_main_class %}product-page-wrapper{% endblock %}

{% block content_title %}{% endblock %}

{% block breadcrumb %}
    {% call macros.breadcrumb() %}
        {{ macros.render_breadcrumb_item("/", _("Home")) }}
        {% set category = shop_product.primary_category %}
        {% if category %}
            {% for c in category.get_ancestors(include_self=True) if c.is_visible(customer=request.customer) %}
                {{ macros.render_breadcrumb_item(shuup.urls.model_url(c), c.name) }}
            {% endfor %}
        {% else %}
            {{ macros.render_breadcrumb_item(url('shuup:all-categories'), _("Products")) }}
        {% endif %}
        {{ macros.render_breadcrumb_item(None, product.name, True) }}
    {% endcall %}
{% endblock %}

{% block content %}
    <div class="product-page__main">
        <div class="flex-row">
            <div class="col product-image-col">
                    <div class="hidden-md hidden-lg mobile-wishlist-btn">
                        {% if shuup.urls.has_url("shuup:personal_wishlists") %}
                            {{ get_wishlist_button(shop_product, request.customer) }}
                        {% endif %}
                    </div>
                {% set product_images = shop_product.public_images.all() %}
                {{ product_macros.render_product_image_section(product, product_images=product_images) }}
            </div>

            <div class="col">
                <div class="product-page__details">
                    <div class="product-page__details__base">
                        {% set supplier = supplier or shop_product.get_supplier() %}
                        {{ product_macros.render_product_basic_information(shop_product, product, supplier) }}

                        {% placeholder "product_extra_1" %}{% endplaceholder %}
                    </div>

                    {% if show_prices() and not xtheme.get("hide_prices") %}
                        {{ order_form }}
                    {% endif %}

                    {{ product_macros.render_product_information(product, supplier) }}

                    {% if shop_product.project_sustainability_goals %}
                        <div class="product-page-sdg">
                            <h2 class="h4 mt-0 mb-4">{% trans %}Sustainability Goals{% endtrans %}</h2>
                            <div class="product-page-sdg__elements">
                                {% for sdg in shop_product.project_sustainability_goals.goals.all()|sort(attribute='id') %}
                                    <div class="product-page-sdg__elements__sdg">
                                        <button type="button" class="product-page-sdg__elements__sdg__btn" data-container="body" data-toggle="popover" data-placement="top" title="{{ sdg.name }}" data-content="{{ sdg.description }}" data-trigger="focus">
                                            {% if sdg.image %}
                                                <img src="{{ sdg.image.url }}">
                                            {% else %}
                                                {{ sdg.name }}
                                            {% endif %}
                                        </button>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    {% endif %}

                    {% placeholder "product_extra_2" %}{% endplaceholder %}
                </div>
            </div>
        </div>
    </div>

    {# By default this extra section contains placeholders for cross sells #}
    {{ product_macros.render_product_placeholder_section() }}

    {# By default this lists all children for package parent #}
    {{ product_macros.render_also_available_products(product) }}

{% endblock %}

{% block extrajs %}
    {{ product_macros.render_extrajs() }}
{% endblock %}
